CON
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000

  rxpin = 31 ' Receive on I/O pin 1 <- black from master black txpin p1 
  txpin = 30 ' Transmit on I/O pin 0 -> red to master red rxpin p0
  ServoCh1 = 16  'Steering servo                            
  ServoCh2 = 20

VAR

  LONG SerStack[32]
  LONG TransmitStack[32]
  LONG txVal_1, txVal_2, txVal_3, txVal_4 ' transmit
  LONG rxVal_1, rxVal_2, rxVal_3, rxVal_4' receive from master and PST
  LONG rxVal
  LONG Heading1
  LONG Heading2
 
OBJ

  serial : "Extended_FDSerial" '' "FullDuplexSerial"
  f : "Float32Full" 
  SERVO : "Servo32v7.spin"
 
PUB Main | DutyCycle ' new stuff DutyCycle

  serial.start(rxpin,txpin,%0000, 57600)                  '- rxpin,txpin,mode,Baud 
  SERVO.Start                                             'Start Servo handler

    repeat
      SerCog
      Transmitter
      WheelAngle
        
PUB SerCog 

    rxVal_1 := serial.rx 
    rxVal_2 := serial.rx 
    rxVal_3 := serial.rx 
    rxVal_4 := serial.rx 

    rxVal := rxVal_1 | (rxVal_2<<8) | (rxVal_3<<16) | (rxVal_4<<24) 
    
PUB Transmitter

    serial.dec(rxVal_1 | (rxVal_2<<8) | (rxVal_3<<16) | (rxVal_4<<24))
    serial.tx(13)

PUB WheelAngle

    heading1 := (rxVal_1 * 2) + 1340     
    heading2 := (rxVal_2 * 2) + 1380 
    SERVO.Set(ServoCh1,Heading1)
    SERVO.Set(ServoCh2,Heading2)
  